SUBROUTINE initcond(Mstar,Rindisk,Routdisk,feh,fg,taudisk,ap)

!(c) Christoph Mordasini, University of Bern, 2015
!reads in the initical conditions for the simulation

IMPLICIT NONE
INCLUDE 'units.h90'

LOGICAL,PARAMETER                  ::DEBUG=.FALSE.
DOUBLE PRECISION,INTENT(OUT)       ::Mstar,Rindisk,Routdisk,feh,fg,taudisk,ap


IF(DEBUG)THEN
   WRITE(*,*)
   WRITE(*,*)'SBR INITCOND'
END IF
 
OPEN(1,file='globalPFE.in')
READ(1,*)Mstar
READ(1,*)Rindisk
READ(1,*)Routdisk
READ(1,*)feh
READ(1,*)fg
READ(1,*)taudisk
READ(1,*)ap
CLOSE(1)

IF(DEBUG)THEN
   WRITE(*,*)'The initial conditions'
   WRITE(*,*)'Stellar mass in Msol  (1.0)                 ',Mstar
   WRITE(*,*)'Inner disk radius in AU (0.03)              ',Rindisk
   WRITE(*,*)'Outer disk radius in AU (30)                ',Routdisk
   WRITE(*,*)'Disk metallicity [Fe/H] (dex)               ',feh
   WRITE(*,*)'Scaling factor for gas surface density (1)  ',fg
   WRITE(*,*)'disk dispersion timescale in Myr (3.0)      ',taudisk
   WRITE(*,*)'Planet start position in AU (5.0)           ',ap
   !READ(*,*)
END IF

!Convert to cgs
Mstar=Mstar*Msol
Rindisk=Rindisk*AU
Routdisk=Routdisk*AU
taudisk=taudisk*an*1D6
ap=ap*AU

RETURN
END SUBROUTINE initcond
