SUBROUTINE timestep(time,Mc,Mdotc,Me,Mdote,dt,itime,ap,adot,Rindisk)

!(c) Christoph Mordasini, University of Bern, 2015
!initialize all kind of variables

IMPLICIT NONE
INCLUDE 'units.h90'
DOUBLE PRECISION, INTENT(IN)    ::time,Mc,Mdotc,Me,Mdote,ap,adot,Rindisk
DOUBLE PRECISION, INTENT(OUT)   ::dt
INTEGER,INTENT(IN)              ::itime
LOGICAL,PARAMETER               ::DEBUG=.FALSE.

IF(DEBUG)THEN
   WRITE(*,*)
   WRITE(*,*)'SBR TIMESTEP'
   WRITE(*,*)'itime     ',itime
   WRITE(*,*)'time      ',time/an
END IF

!set the timestep

!global criterion
dt=time/500D0

!limit by core growth rate
IF(Mdotc.NE.0D0)dt=Min(dt,0.1*Mc/Mdotc)

!limit by envelope growth rate
IF(Mdote.NE.0D0)dt=MIN(dt,0.01*Me/Mdote)

!limit by migration rate
IF(adot.NE.0D0.AND.ap>1.1D0*Rindisk)dt=MIN(dt,0.01*ABS(ap/adot))

RETURN
END SUBROUTINE timestep
