execfile('params.py')
execfile('readers.py')
execfile('mergeTables.py')
execfile('selectData.py')
execfile('planetRadius.py')
execfile('plotters.py')

import random
import scipy
from scipy import stats

#___________________________________________________

if __name__=='__main__':

# set parameters in the 'params.py' file.  read them in here
  params=Parameters()

# read in the fake planet data
  synthPop=readSyntheticPopulation(params)

# add random inclinations to the synthetic orbits
  synthPop=addRandomInc(synthPop)


# read in the real planet data
  confirmedPlanets,KeplerList=readArchiveTables(params)
  
# merge the two lists together (remove overlapping confirmed guys)
  allPlanets=mergeTables(confirmedPlanets,KeplerList)

# use Lstar to define HabZone, if it's blank
  allPlanets=calculateHZ(allPlanets)


#____________make some plots of the data_____________

# optionally limit the plots to only show confirmed planets
  if params['onlyConfirmed']:
    allPlanets=onlyConfirmed(allPlanets)
    
# the standard plot of planet semi-major axis vs mass
  if params['plotPhaseSpace']:
    plotPlanetPhaseSpace(allPlanets,synthPop)

  if params['RVComparison']:
# calculate Msin(i) for each planet, using random inclination
    synthPop=addMsinI(synthPop)
  
    RVselectedPop=RVselect(synthPop,params)
      
    plotRVcomparison(allPlanets,RVselectedPop)

  if params['KeplerComparison']:
# convert the model masses into model radii
    synthPop=addRp(synthPop)

    transitSelectedPop=transitSelect(synthPop,params)

    plotTransitComparison(allPlanets,transitSelectedPop)

# optional plot of the function used to convert mass to radius
  if params['plotMassRadius']:
    plotMassRadiusRelation()
